admin 发表于 2021-12-17 17:58:16

Error: Package: python2-qpid-proton-0.26.0-2.el7.x86_64 (centos-openstack-train)

# yum install -y openstack-keystone
Loaded plugins: fastestmirror
Repository 'ceph-noarch' is missing name in configuration, using id
Loading mirror speeds from cached hostfile
* base: mirrors.bupt.edu.cn
* epel: mirrors.bfsu.edu.cn
* extras: mirrors.bupt.edu.cn
* updates: mirrors.bupt.edu.cn
Resolving Dependencies
--> Running transaction check
---> Package openstack-keystone.noarch 1:16.0.2-1.el7 will be installed
--> Processing Dependency: python2-keystone = 1:16.0.2-1.el7 for package: 1:openstack-keystone-16.0.2-1.el7.noarch
--> Running transaction check
---> Package python2-keystone.noarch 1:16.0.2-1.el7 will be installed
--> Processing Dependency: python-ldap >= 3.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python-ldappool >= 2.0.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python-memcached >= 1.56 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python-migrate >= 0.11.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python-webob >= 1.7.1 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-flask >= 1.0.2 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-flask-restful >= 0.3.5 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-keystonemiddleware >= 7.0.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oauthlib >= 0.6.2 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oslo-cache >= 1.26.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oslo-concurrency >= 3.26.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oslo-db >= 4.27.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oslo-messaging >= 5.29.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oslo-middleware >= 3.31.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oslo-policy >= 2.3.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oslo-upgradecheck >= 0.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-osprofiler >= 1.4.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-passlib >= 1.7.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-pycadf >= 2.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-pysaml2 >= 4.5.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-scrypt >= 0.8.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-sqlalchemy >= 1.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-jwt for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Running transaction check
---> Package python-jwt.noarch 0:1.5.3-1.el7 will be obsoleted
---> Package python-memcached.noarch 0:1.48-4.el7 will be updated
---> Package python-memcached.noarch 0:1.58-1.el7 will be an update
---> Package python-migrate.noarch 0:0.11.0-1.el7 will be installed
--> Processing Dependency: python-sqlparse for package: python-migrate-0.11.0-1.el7.noarch
---> Package python-webob.noarch 0:1.2.3-7.el7 will be obsoleted
---> Package python2-flask.noarch 1:1.0.2-1.el7 will be installed
--> Processing Dependency: python-click for package: 1:python2-flask-1.0.2-1.el7.noarch
--> Processing Dependency: python-itsdangerous for package: 1:python2-flask-1.0.2-1.el7.noarch
--> Processing Dependency: python-jinja2 for package: 1:python2-flask-1.0.2-1.el7.noarch
---> Package python2-flask-restful.noarch 0:0.3.6-7.el7 will be installed
--> Processing Dependency: python-aniso8601 for package: python2-flask-restful-0.3.6-7.el7.noarch
---> Package python2-jwt.noarch 0:1.6.1-1.el7 will be obsoleting
---> Package python2-keystonemiddleware.noarch 0:7.0.1-2.el7 will be installed
---> Package python2-ldap.x86_64 0:3.1.0-1.el7 will be installed
--> Processing Dependency: python2-pyasn1 >= 0.3.7 for package: python2-ldap-3.1.0-1.el7.x86_64
--> Processing Dependency: python2-pyasn1-modules >= 0.1.5 for package: python2-ldap-3.1.0-1.el7.x86_64
---> Package python2-ldappool.noarch 0:2.4.0-2.el7 will be installed
---> Package python2-oauthlib.noarch 0:2.0.1-8.el7 will be installed
--> Processing Dependency: python-jwcrypto for package: python2-oauthlib-2.0.1-8.el7.noarch
---> Package python2-oslo-cache.noarch 0:1.37.1-1.el7 will be installed
--> Processing Dependency: python-oslo-cache-lang = 1.37.1-1.el7 for package: python2-oslo-cache-1.37.1-1.el7.noarch
---> Package python2-oslo-concurrency.noarch 0:3.30.1-1.el7 will be installed
--> Processing Dependency: python-oslo-concurrency-lang = 3.30.1-1.el7 for package: python2-oslo-concurrency-3.30.1-1.el7.noarch
--> Processing Dependency: python2-fasteners for package: python2-oslo-concurrency-3.30.1-1.el7.noarch
---> Package python2-oslo-db.noarch 0:5.0.2-2.el7 will be installed
--> Processing Dependency: python-oslo-db-lang = 5.0.2-2.el7 for package: python2-oslo-db-5.0.2-2.el7.noarch
--> Processing Dependency: python-alembic >= 0.9.6 for package: python2-oslo-db-5.0.2-2.el7.noarch
--> Processing Dependency: python2-PyMySQL for package: python2-oslo-db-5.0.2-2.el7.noarch
---> Package python2-oslo-messaging.noarch 0:10.2.4-1.el7 will be installed
--> Processing Dependency: python2-amqp >= 2.4.1 for package: python2-oslo-messaging-10.2.4-1.el7.noarch
--> Processing Dependency: python2-futurist >= 1.2.0 for package: python2-oslo-messaging-10.2.4-1.el7.noarch
--> Processing Dependency: python2-kombu >= 1:4.0.0 for package: python2-oslo-messaging-10.2.4-1.el7.noarch
--> Processing Dependency: python2-oslo-service >= 1.24.0 for package: python2-oslo-messaging-10.2.4-1.el7.noarch
--> Processing Dependency: python-pyngus for package: python2-oslo-messaging-10.2.4-1.el7.noarch
--> Processing Dependency: python2-cachetools for package: python2-oslo-messaging-10.2.4-1.el7.noarch
--> Processing Dependency: python2-eventlet for package: python2-oslo-messaging-10.2.4-1.el7.noarch
---> Package python2-oslo-middleware.noarch 0:3.38.1-2.el7 will be installed
--> Processing Dependency: python-oslo-middleware-lang = 3.38.1-2.el7 for package: python2-oslo-middleware-3.38.1-2.el7.noarch
--> Processing Dependency: python2-statsd for package: python2-oslo-middleware-3.38.1-2.el7.noarch
---> Package python2-oslo-policy.noarch 0:2.3.4-1.el7 will be installed
--> Processing Dependency: python-oslo-policy-lang = 2.3.4-1.el7 for package: python2-oslo-policy-2.3.4-1.el7.noarch
---> Package python2-oslo-upgradecheck.noarch 0:0.3.2-1.el7 will be installed
---> Package python2-osprofiler.noarch 0:2.8.2-1.el7 will be installed
---> Package python2-passlib.noarch 0:1.7.1-1.el7 will be installed
---> Package python2-pycadf.noarch 0:2.10.0-2.el7 will be installed
--> Processing Dependency: python-pycadf-common = 2.10.0-2.el7 for package: python2-pycadf-2.10.0-2.el7.noarch
---> Package python2-pysaml2.noarch 0:4.6.5-1.el7 will be installed
--> Processing Dependency: python2-defusedxml for package: python2-pysaml2-4.6.5-1.el7.noarch
--> Processing Dependency: python2-future for package: python2-pysaml2-4.6.5-1.el7.noarch
---> Package python2-scrypt.x86_64 0:0.8.0-2.el7 will be installed
---> Package python2-sqlalchemy.x86_64 0:1.2.17-2.el7 will be installed
---> Package python2-webob.noarch 0:1.8.5-1.el7 will be obsoleting
--> Running transaction check
---> Package python-aniso8601.noarch 0:0.82-3.el7 will be installed
---> Package python-jwcrypto.noarch 0:0.4.2-1.el7 will be installed
---> Package python-oslo-cache-lang.noarch 0:1.37.1-1.el7 will be installed
---> Package python-oslo-concurrency-lang.noarch 0:3.30.1-1.el7 will be installed
---> Package python-oslo-db-lang.noarch 0:5.0.2-2.el7 will be installed
---> Package python-oslo-middleware-lang.noarch 0:3.38.1-2.el7 will be installed
---> Package python-oslo-policy-lang.noarch 0:2.3.4-1.el7 will be installed
---> Package python-pycadf-common.noarch 0:2.10.0-2.el7 will be installed
---> Package python-pyngus.noarch 0:2.0.3-3.el7 will be installed
--> Processing Dependency: python-qpid-proton >= 0.13.0 for package: python-pyngus-2.0.3-3.el7.noarch
--> Processing Dependency: qpid-proton-c >= 0.13.0 for package: python-pyngus-2.0.3-3.el7.noarch
---> Package python-sqlparse.noarch 0:0.1.18-5.el7 will be installed
---> Package python2-PyMySQL.noarch 0:0.9.3-1.el7 will be installed
---> Package python2-alembic.noarch 0:1.0.7-1.el7 will be installed
--> Processing Dependency: python-editor for package: python2-alembic-1.0.7-1.el7.noarch
---> Package python2-amqp.noarch 0:2.4.1-1.el7 will be installed
--> Processing Dependency: python2-vine >= 1.1.3 for package: python2-amqp-2.4.1-1.el7.noarch
---> Package python2-cachetools.noarch 0:3.1.0-1.el7 will be installed
---> Package python2-click.noarch 0:6.7-8.el7 will be installed
---> Package python2-defusedxml.noarch 0:0.5.0-2.el7 will be installed
---> Package python2-eventlet.noarch 0:0.25.1-1.el7 will be installed
--> Processing Dependency: python2-dns for package: python2-eventlet-0.25.1-1.el7.noarch
--> Processing Dependency: python2-greenlet for package: python2-eventlet-0.25.1-1.el7.noarch
---> Package python2-fasteners.noarch 0:0.14.1-6.el7 will be installed
---> Package python2-future.noarch 0:0.18.2-2.el7 will be installed
---> Package python2-futurist.noarch 0:1.9.0-2.el7 will be installed
---> Package python2-itsdangerous.noarch 0:0.24-14.el7 will be installed
---> Package python2-jinja2.noarch 0:2.10.1-1.el7 will be installed
--> Processing Dependency: python2-markupsafe >= 0.23 for package: python2-jinja2-2.10.1-1.el7.noarch
---> Package python2-kombu.noarch 1:4.6.3-3.el7 will be installed
---> Package python2-oslo-service.noarch 0:1.40.2-2.el7 will be installed
--> Processing Dependency: python-paste-deploy >= 1.5.0 for package: python2-oslo-service-1.40.2-2.el7.noarch
--> Processing Dependency: python2-routes for package: python2-oslo-service-1.40.2-2.el7.noarch
--> Processing Dependency: python2-yappi for package: python2-oslo-service-1.40.2-2.el7.noarch
---> Package python2-pyasn1.noarch 0:0.1.9-7.el7 will be updated
---> Package python2-pyasn1.noarch 0:0.3.7-6.el7 will be an update
---> Package python2-pyasn1-modules.noarch 0:0.3.7-6.el7 will be installed
---> Package python2-statsd.noarch 0:3.2.1-5.el7 will be installed
--> Running transaction check
---> Package python-editor.noarch 0:0.4-4.el7 will be installed
---> Package python-markupsafe.x86_64 0:0.11-10.el7 will be obsoleted
---> Package python-paste-deploy.noarch 0:1.5.2-6.el7 will be installed
---> Package python-routes.noarch 0:1.13-2.el7 will be updated
---> Package python-routes.noarch 0:2.4.1-1.el7 will be an update
---> Package python2-dns.noarch 0:1.12.0-0.el7 will be installed
--> Processing Dependency: python-dns >= 1.12.0 for package: python2-dns-1.12.0-0.el7.noarch
---> Package python2-greenlet.x86_64 0:0.4.12-1.el7 will be installed
---> Package python2-markupsafe.x86_64 0:1.1.0-2.el7 will be obsoleting
---> Package python2-qpid-proton.x86_64 0:0.26.0-2.el7 will be installed
--> Processing Dependency: qpid-proton-c(x86-64) = 0.26.0-2.el7 for package: python2-qpid-proton-0.26.0-2.el7.x86_64
---> Package python2-vine.noarch 0:1.2.0-2.el7 will be installed
---> Package python2-yappi.x86_64 0:1.0-1.el7 will be installed
---> Package qpid-proton-c.x86_64 0:0.35.0-1.el7 will be installed
--> Running transaction check
---> Package python-dns.noarch 0:1.15.0-5.el7 will be installed
--> Processing Dependency: python-crypto for package: python-dns-1.15.0-5.el7.noarch
---> Package python2-qpid-proton.x86_64 0:0.26.0-2.el7 will be installed
--> Processing Dependency: qpid-proton-c(x86-64) = 0.26.0-2.el7 for package: python2-qpid-proton-0.26.0-2.el7.x86_64
--> Running transaction check
---> Package python2-crypto.x86_64 0:2.6.1-16.el7 will be installed
--> Processing Dependency: libtomcrypt.so.0()(64bit) for package: python2-crypto-2.6.1-16.el7.x86_64
---> Package python2-qpid-proton.x86_64 0:0.26.0-2.el7 will be installed
--> Processing Dependency: qpid-proton-c(x86-64) = 0.26.0-2.el7 for package: python2-qpid-proton-0.26.0-2.el7.x86_64
--> Running transaction check
---> Package libtomcrypt.x86_64 0:1.17-26.el7 will be installed
--> Processing Dependency: libtommath >= 0.42.0 for package: libtomcrypt-1.17-26.el7.x86_64
--> Processing Dependency: libtommath.so.0()(64bit) for package: libtomcrypt-1.17-26.el7.x86_64
---> Package python2-qpid-proton.x86_64 0:0.26.0-2.el7 will be installed
--> Processing Dependency: qpid-proton-c(x86-64) = 0.26.0-2.el7 for package: python2-qpid-proton-0.26.0-2.el7.x86_64
--> Running transaction check
---> Package libtommath.x86_64 0:0.42.0-6.el7 will be installed
---> Package python2-qpid-proton.x86_64 0:0.26.0-2.el7 will be installed
--> Processing Dependency: qpid-proton-c(x86-64) = 0.26.0-2.el7 for package: python2-qpid-proton-0.26.0-2.el7.x86_64
--> Finished Dependency Resolution
Error: Package: python2-qpid-proton-0.26.0-2.el7.x86_64 (centos-openstack-train)
         Requires: qpid-proton-c(x86-64) = 0.26.0-2.el7
         Available: qpid-proton-c-0.14.0-2.el7.x86_64 (extras)
               qpid-proton-c(x86-64) = 0.14.0-2.el7
         Available: qpid-proton-c-0.26.0-2.el7.x86_64 (centos-openstack-train)
               qpid-proton-c(x86-64) = 0.26.0-2.el7
         Installing: qpid-proton-c-0.35.0-1.el7.x86_64 (epel)
               qpid-proton-c(x86-64) = 0.35.0-1.el7
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest






#yum remove qpid-proton-c
Loaded plugins: fastestmirror
Repository 'ceph-noarch' is missing name in configuration, using id
No Match for argument: qpid-proton-c
No Packages marked for removal
#yum remove qpid-proton-c
Loaded plugins: fastestmirror
Repository 'ceph-noarch' is missing name in configuration, using id
No Match for argument: qpid-proton-c
No Packages marked for removal
# ls
CentOS-Base.repo         CentOS-Debuginfo.repoCentOS-NFS-Ganesha-28.repo   CentOS-Sources.repo         CentOS-x86_64-kernel.repoepel-testing.repo
CentOS-Ceph-Nautilus.repoCentOS-fasttrack.repoCentOS-OpenStack-train.repoCentOS-Storage-common.repoceph.repo
CentOS-CR.repo             CentOS-Media.repo      CentOS-QEMU-EV.repo          CentOS-Vault.repo         epel.repo
# vim ceph.repo






怀疑是不是epel.repo
导致出现了冲突了,移出掉吧:

# mv epel.repo epel.repo.bak


再次尝试安装:
# yum install -y openstack-keystone
Loaded plugins: fastestmirror
Repository 'ceph-noarch' is missing name in configuration, using id
Loading mirror speeds from cached hostfile
* base: mirrors.bupt.edu.cn
* extras: mirrors.bupt.edu.cn
* updates: mirrors.bupt.edu.cn
Resolving Dependencies
--> Running transaction check
---> Package openstack-keystone.noarch 1:16.0.2-1.el7 will be installed
--> Processing Dependency: python2-keystone = 1:16.0.2-1.el7 for package: 1:openstack-keystone-16.0.2-1.el7.noarch
--> Running transaction check
---> Package python2-keystone.noarch 1:16.0.2-1.el7 will be installed
--> Processing Dependency: python-ldap >= 3.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python-ldappool >= 2.0.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python-memcached >= 1.56 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python-migrate >= 0.11.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python-webob >= 1.7.1 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-flask >= 1.0.2 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-flask-restful >= 0.3.5 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-keystonemiddleware >= 7.0.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oauthlib >= 0.6.2 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oslo-cache >= 1.26.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oslo-concurrency >= 3.26.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oslo-db >= 4.27.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oslo-messaging >= 5.29.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oslo-middleware >= 3.31.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oslo-policy >= 2.3.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-oslo-upgradecheck >= 0.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-osprofiler >= 1.4.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-passlib >= 1.7.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-pycadf >= 2.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-pysaml2 >= 4.5.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-scrypt >= 0.8.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-sqlalchemy >= 1.1.0 for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Processing Dependency: python2-jwt for package: 1:python2-keystone-16.0.2-1.el7.noarch
--> Running transaction check
---> Package python-jwt.noarch 0:1.5.3-1.el7 will be obsoleted
---> Package python-memcached.noarch 0:1.48-4.el7 will be updated
---> Package python-memcached.noarch 0:1.58-1.el7 will be an update
---> Package python-migrate.noarch 0:0.11.0-1.el7 will be installed
--> Processing Dependency: python-sqlparse for package: python-migrate-0.11.0-1.el7.noarch
---> Package python-webob.noarch 0:1.2.3-7.el7 will be obsoleted
---> Package python2-flask.noarch 1:1.0.2-1.el7 will be installed
--> Processing Dependency: python-click for package: 1:python2-flask-1.0.2-1.el7.noarch
--> Processing Dependency: python-itsdangerous for package: 1:python2-flask-1.0.2-1.el7.noarch
--> Processing Dependency: python-jinja2 for package: 1:python2-flask-1.0.2-1.el7.noarch
---> Package python2-flask-restful.noarch 0:0.3.6-7.el7 will be installed
--> Processing Dependency: python-aniso8601 for package: python2-flask-restful-0.3.6-7.el7.noarch
---> Package python2-jwt.noarch 0:1.6.1-1.el7 will be obsoleting
---> Package python2-keystonemiddleware.noarch 0:7.0.1-2.el7 will be installed
---> Package python2-ldap.x86_64 0:3.1.0-1.el7 will be installed
--> Processing Dependency: python2-pyasn1 >= 0.3.7 for package: python2-ldap-3.1.0-1.el7.x86_64
--> Processing Dependency: python2-pyasn1-modules >= 0.1.5 for package: python2-ldap-3.1.0-1.el7.x86_64
---> Package python2-ldappool.noarch 0:2.4.0-2.el7 will be installed
---> Package python2-oauthlib.noarch 0:2.0.1-8.el7 will be installed
--> Processing Dependency: python-jwcrypto for package: python2-oauthlib-2.0.1-8.el7.noarch
---> Package python2-oslo-cache.noarch 0:1.37.1-1.el7 will be installed
--> Processing Dependency: python-oslo-cache-lang = 1.37.1-1.el7 for package: python2-oslo-cache-1.37.1-1.el7.noarch
---> Package python2-oslo-concurrency.noarch 0:3.30.1-1.el7 will be installed
--> Processing Dependency: python-oslo-concurrency-lang = 3.30.1-1.el7 for package: python2-oslo-concurrency-3.30.1-1.el7.noarch
--> Processing Dependency: python2-fasteners for package: python2-oslo-concurrency-3.30.1-1.el7.noarch
---> Package python2-oslo-db.noarch 0:5.0.2-2.el7 will be installed
--> Processing Dependency: python-oslo-db-lang = 5.0.2-2.el7 for package: python2-oslo-db-5.0.2-2.el7.noarch
--> Processing Dependency: python-alembic >= 0.9.6 for package: python2-oslo-db-5.0.2-2.el7.noarch
--> Processing Dependency: python2-PyMySQL for package: python2-oslo-db-5.0.2-2.el7.noarch
---> Package python2-oslo-messaging.noarch 0:10.2.4-1.el7 will be installed
--> Processing Dependency: python2-amqp >= 2.4.1 for package: python2-oslo-messaging-10.2.4-1.el7.noarch
--> Processing Dependency: python2-futurist >= 1.2.0 for package: python2-oslo-messaging-10.2.4-1.el7.noarch
--> Processing Dependency: python2-kombu >= 1:4.0.0 for package: python2-oslo-messaging-10.2.4-1.el7.noarch
--> Processing Dependency: python2-oslo-service >= 1.24.0 for package: python2-oslo-messaging-10.2.4-1.el7.noarch
--> Processing Dependency: python-pyngus for package: python2-oslo-messaging-10.2.4-1.el7.noarch
--> Processing Dependency: python2-cachetools for package: python2-oslo-messaging-10.2.4-1.el7.noarch
--> Processing Dependency: python2-eventlet for package: python2-oslo-messaging-10.2.4-1.el7.noarch
---> Package python2-oslo-middleware.noarch 0:3.38.1-2.el7 will be installed
--> Processing Dependency: python-oslo-middleware-lang = 3.38.1-2.el7 for package: python2-oslo-middleware-3.38.1-2.el7.noarch
--> Processing Dependency: python2-statsd for package: python2-oslo-middleware-3.38.1-2.el7.noarch
---> Package python2-oslo-policy.noarch 0:2.3.4-1.el7 will be installed
--> Processing Dependency: python-oslo-policy-lang = 2.3.4-1.el7 for package: python2-oslo-policy-2.3.4-1.el7.noarch
---> Package python2-oslo-upgradecheck.noarch 0:0.3.2-1.el7 will be installed
---> Package python2-osprofiler.noarch 0:2.8.2-1.el7 will be installed
---> Package python2-passlib.noarch 0:1.7.0-4.el7 will be installed
---> Package python2-pycadf.noarch 0:2.10.0-2.el7 will be installed
--> Processing Dependency: python-pycadf-common = 2.10.0-2.el7 for package: python2-pycadf-2.10.0-2.el7.noarch
---> Package python2-pysaml2.noarch 0:4.6.5-1.el7 will be installed
--> Processing Dependency: python2-defusedxml for package: python2-pysaml2-4.6.5-1.el7.noarch
--> Processing Dependency: python2-future for package: python2-pysaml2-4.6.5-1.el7.noarch
---> Package python2-scrypt.x86_64 0:0.8.0-2.el7 will be installed
---> Package python2-sqlalchemy.x86_64 0:1.2.17-2.el7 will be installed
---> Package python2-webob.noarch 0:1.8.5-1.el7 will be obsoleting
--> Running transaction check
---> Package python-aniso8601.noarch 0:0.82-3.el7 will be installed
---> Package python-click.noarch 0:6.3-1.el7 will be installed
---> Package python-jwcrypto.noarch 0:0.4.2-1.el7 will be installed
---> Package python-oslo-cache-lang.noarch 0:1.37.1-1.el7 will be installed
---> Package python-oslo-concurrency-lang.noarch 0:3.30.1-1.el7 will be installed
---> Package python-oslo-db-lang.noarch 0:5.0.2-2.el7 will be installed
---> Package python-oslo-middleware-lang.noarch 0:3.38.1-2.el7 will be installed
---> Package python-oslo-policy-lang.noarch 0:2.3.4-1.el7 will be installed
---> Package python-pycadf-common.noarch 0:2.10.0-2.el7 will be installed
---> Package python-pyngus.noarch 0:2.0.3-3.el7 will be installed
--> Processing Dependency: python-qpid-proton >= 0.13.0 for package: python-pyngus-2.0.3-3.el7.noarch
--> Processing Dependency: qpid-proton-c >= 0.13.0 for package: python-pyngus-2.0.3-3.el7.noarch
---> Package python-sqlparse.noarch 0:0.1.18-5.el7 will be installed
---> Package python2-PyMySQL.noarch 0:0.9.2-2.el7 will be installed
---> Package python2-alembic.noarch 0:1.0.7-1.el7 will be installed
--> Processing Dependency: python-editor for package: python2-alembic-1.0.7-1.el7.noarch
---> Package python2-amqp.noarch 0:2.4.1-1.el7 will be installed
--> Processing Dependency: python2-vine >= 1.1.3 for package: python2-amqp-2.4.1-1.el7.noarch
---> Package python2-cachetools.noarch 0:3.1.0-1.el7 will be installed
---> Package python2-defusedxml.noarch 0:0.5.0-2.el7 will be installed
---> Package python2-eventlet.noarch 0:0.25.1-1.el7 will be installed
--> Processing Dependency: python2-dns for package: python2-eventlet-0.25.1-1.el7.noarch
--> Processing Dependency: python2-greenlet for package: python2-eventlet-0.25.1-1.el7.noarch
---> Package python2-fasteners.noarch 0:0.14.1-6.el7 will be installed
---> Package python2-future.noarch 0:0.16.0-4.el7 will be installed
---> Package python2-futurist.noarch 0:1.9.0-2.el7 will be installed
---> Package python2-itsdangerous.noarch 0:0.24-14.el7 will be installed
---> Package python2-jinja2.noarch 0:2.10.1-1.el7 will be installed
--> Processing Dependency: python2-markupsafe >= 0.23 for package: python2-jinja2-2.10.1-1.el7.noarch
---> Package python2-kombu.noarch 1:4.6.3-3.el7 will be installed
---> Package python2-oslo-service.noarch 0:1.40.2-2.el7 will be installed
--> Processing Dependency: python-paste-deploy >= 1.5.0 for package: python2-oslo-service-1.40.2-2.el7.noarch
--> Processing Dependency: python2-routes for package: python2-oslo-service-1.40.2-2.el7.noarch
--> Processing Dependency: python2-yappi for package: python2-oslo-service-1.40.2-2.el7.noarch
---> Package python2-pyasn1.noarch 0:0.1.9-7.el7 will be updated
---> Package python2-pyasn1.noarch 0:0.3.7-6.el7 will be an update
---> Package python2-pyasn1-modules.noarch 0:0.3.7-6.el7 will be installed
---> Package python2-statsd.noarch 0:3.2.1-5.el7 will be installed
--> Running transaction check
---> Package python-dns.noarch 0:1.15.0-5.el7 will be installed
--> Processing Dependency: python-crypto for package: python-dns-1.15.0-5.el7.noarch
---> Package python-editor.noarch 0:0.4-4.el7 will be installed
---> Package python-markupsafe.x86_64 0:0.11-10.el7 will be obsoleted
---> Package python-paste-deploy.noarch 0:1.5.2-6.el7 will be installed
---> Package python-routes.noarch 0:1.13-2.el7 will be updated
---> Package python-routes.noarch 0:2.4.1-1.el7 will be an update
---> Package python2-greenlet.x86_64 0:0.4.12-1.el7 will be installed
---> Package python2-markupsafe.x86_64 0:1.1.0-2.el7 will be obsoleting
---> Package python2-qpid-proton.x86_64 0:0.26.0-2.el7 will be installed
---> Package python2-vine.noarch 0:1.2.0-2.el7 will be installed
---> Package python2-yappi.x86_64 0:1.0-1.el7 will be installed
---> Package qpid-proton-c.x86_64 0:0.26.0-2.el7 will be installed
--> Running transaction check
---> Package python2-crypto.x86_64 0:2.6.1-15.el7 will be installed
--> Processing Dependency: libtomcrypt.so.0()(64bit) for package: python2-crypto-2.6.1-15.el7.x86_64
--> Running transaction check
---> Package libtomcrypt.x86_64 0:1.17-26.el7 will be installed
--> Processing Dependency: libtommath >= 0.42.0 for package: libtomcrypt-1.17-26.el7.x86_64
--> Processing Dependency: libtommath.so.0()(64bit) for package: libtomcrypt-1.17-26.el7.x86_64
--> Running transaction check
---> Package libtommath.x86_64 0:0.42.0-6.el7 will be installed
--> Finished Dependency Resolution


Dependencies Resolved


===================================================================================================================================================================
Package                                          Arch                     Version                              Repository                                  Size
===================================================================================================================================================================
Installing:
openstack-keystone                               noarch                     1:16.0.2-1.el7                     centos-openstack-train                      78 k
python2-jwt                                    noarch                     1.6.1-1.el7                        centos-openstack-train                      37 k
   replacingpython-jwt.noarch 1.5.3-1.el7
python2-markupsafe                               x86_64                     1.1.0-2.el7                        centos-openstack-train                      29 k
   replacingpython-markupsafe.x86_64 0.11-10.el7
python2-webob                                    noarch                     1.8.5-1.el7                        centos-openstack-train                     246 k
   replacingpython-webob.noarch 1.2.3-7.el7
Installing for dependencies:
libtomcrypt                                    x86_64                     1.17-26.el7                        extras                                     224 k
libtommath                                       x86_64                     0.42.0-6.el7                         extras                                    36 k
python-aniso8601                                 noarch                     0.82-3.el7                           centos-openstack-train                      31 k
python-click                                     noarch                     6.3-1.el7                            centos-openstack-train                     119 k
python-dns                                       noarch                     1.15.0-5.el7                         centos-openstack-train                     248 k
python-editor                                    noarch                     0.4-4.el7                            centos-openstack-train                      12 k
python-jwcrypto                                  noarch                     0.4.2-1.el7                        base                                        57 k
python-migrate                                 noarch                     0.11.0-1.el7                         centos-openstack-train                     228 k
python-oslo-cache-lang                           noarch                     1.37.1-1.el7                         centos-openstack-train                      12 k
python-oslo-concurrency-lang                     noarch                     3.30.1-1.el7                         centos-openstack-train                     9.5 k
python-oslo-db-lang                              noarch                     5.0.2-2.el7                        centos-openstack-train                     9.0 k
python-oslo-middleware-lang                      noarch                     3.38.1-2.el7                         centos-openstack-train                     7.8 k
python-oslo-policy-lang                        noarch                     2.3.4-1.el7                        centos-openstack-train                     7.9 k
python-paste-deploy                              noarch                     1.5.2-6.el7                        centos-openstack-train                      46 k
python-pycadf-common                           noarch                     2.10.0-2.el7                         centos-openstack-train                      10 k
python-pyngus                                    noarch                     2.0.3-3.el7                        centos-openstack-train                      41 k
python-sqlparse                                  noarch                     0.1.18-5.el7                         centos-openstack-train                      74 k
python2-PyMySQL                                  noarch                     0.9.2-2.el7                        centos-openstack-train                      92 k
python2-alembic                                  noarch                     1.0.7-1.el7                        centos-openstack-train                     786 k
python2-amqp                                     noarch                     2.4.1-1.el7                        centos-openstack-train                      90 k
python2-cachetools                               noarch                     3.1.0-1.el7                        centos-openstack-train                      28 k
python2-crypto                                 x86_64                     2.6.1-15.el7                         extras                                     477 k
python2-defusedxml                               noarch                     0.5.0-2.el7                        centos-openstack-train                      45 k
python2-eventlet                                 noarch                     0.25.1-1.el7                         centos-openstack-train                     322 k
python2-fasteners                              noarch                     0.14.1-6.el7                         centos-openstack-train                      38 k
python2-flask                                    noarch                     1:1.0.2-1.el7                        centos-openstack-train                     152 k
python2-flask-restful                            noarch                     0.3.6-7.el7                        centos-openstack-train                     117 k
python2-future                                 noarch                     0.16.0-4.el7                         centos-openstack-train                     798 k
python2-futurist                                 noarch                     1.9.0-2.el7                        centos-openstack-train                      59 k
python2-greenlet                                 x86_64                     0.4.12-1.el7                         centos-openstack-train                      25 k
python2-itsdangerous                           noarch                     0.24-14.el7                        centos-openstack-train                      25 k
python2-jinja2                                 noarch                     2.10.1-1.el7                         centos-openstack-train                     251 k
python2-keystone                                 noarch                     1:16.0.2-1.el7                     centos-openstack-train                     1.1 M
python2-keystonemiddleware                     noarch                     7.0.1-2.el7                        centos-openstack-train                      88 k
python2-kombu                                    noarch                     1:4.6.3-3.el7                        centos-openstack-train                     365 k
python2-ldap                                     x86_64                     3.1.0-1.el7                        centos-openstack-train                     217 k
python2-ldappool                                 noarch                     2.4.0-2.el7                        centos-openstack-train                      25 k
python2-oauthlib                                 noarch                     2.0.1-8.el7                        base                                       146 k
python2-oslo-cache                               noarch                     1.37.1-1.el7                         centos-openstack-train                      47 k
python2-oslo-concurrency                         noarch                     3.30.1-1.el7                         centos-openstack-train                      36 k
python2-oslo-db                                  noarch                     5.0.2-2.el7                        centos-openstack-train                     145 k
python2-oslo-messaging                           noarch                     10.2.4-1.el7                         centos-openstack-train                     221 k
python2-oslo-middleware                        noarch                     3.38.1-2.el7                         centos-openstack-train                      49 k
python2-oslo-policy                              noarch                     2.3.4-1.el7                        centos-openstack-train                      65 k
python2-oslo-service                           noarch                     1.40.2-2.el7                         centos-openstack-train                      66 k
python2-oslo-upgradecheck                        noarch                     0.3.2-1.el7                        centos-openstack-train                      18 k
python2-osprofiler                               noarch                     2.8.2-1.el7                        centos-openstack-train                     125 k
python2-passlib                                  noarch                     1.7.0-4.el7                        centos-openstack-train                     733 k
python2-pyasn1-modules                           noarch                     0.3.7-6.el7                        centos-openstack-train                     105 k
python2-pycadf                                 noarch                     2.10.0-2.el7                         centos-openstack-train                      46 k
python2-pysaml2                                  noarch                     4.6.5-1.el7                        centos-openstack-train                     542 k
python2-qpid-proton                              x86_64                     0.26.0-2.el7                         centos-openstack-train                     217 k
python2-scrypt                                 x86_64                     0.8.0-2.el7                        centos-openstack-train                      26 k
python2-sqlalchemy                               x86_64                     1.2.17-2.el7                         centos-openstack-train                     1.8 M
python2-statsd                                 noarch                     3.2.1-5.el7                        centos-openstack-train                      28 k
python2-vine                                     noarch                     1.2.0-2.el7                        centos-openstack-train                      30 k
python2-yappi                                    x86_64                     1.0-1.el7                            centos-openstack-train                      39 k
qpid-proton-c                                    x86_64                     0.26.0-2.el7                         centos-openstack-train                     185 k
Updating for dependencies:
python-memcached                                 noarch                     1.58-1.el7                           centos-openstack-train                      38 k
python-routes                                    noarch                     2.4.1-1.el7                        centos-openstack-train                     191 k
python2-pyasn1                                 noarch                     0.3.7-6.el7                        centos-openstack-train                     118 k


Transaction Summary
===================================================================================================================================================================
Install4 Packages (+58 Dependent packages)
Upgrade             (3 Dependent packages)


Total download size: 11 M
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
(1/65): libtommath-0.42.0-6.el7.x86_64.rpm                                                                                                |36 kB00:00:05   
(2/65): libtomcrypt-1.17-26.el7.x86_64.rpm                                                                                                | 224 kB00:00:05   
(3/65): python-aniso8601-0.82-3.el7.noarch.rpm                                                                                              |31 kB00:00:05   
(4/65): openstack-keystone-16.0.2-1.el7.noarch.rpm                                                                                          |78 kB00:00:05   
(5/65): python-click-6.3-1.el7.noarch.rpm                                                                                                   | 119 kB00:00:00   
(6/65): python-dns-1.15.0-5.el7.noarch.rpm                                                                                                | 248 kB00:00:00   
(7/65): python-jwcrypto-0.4.2-1.el7.noarch.rpm                                                                                              |57 kB00:00:00   
(8/65): python-editor-0.4-4.el7.noarch.rpm                                                                                                |12 kB00:00:00   
(9/65): python-memcached-1.58-1.el7.noarch.rpm                                                                                              |38 kB00:00:00   
(10/65): python-oslo-cache-lang-1.37.1-1.el7.noarch.rpm                                                                                     |12 kB00:00:00   
(11/65): python-oslo-concurrency-lang-3.30.1-1.el7.noarch.rpm                                                                               | 9.5 kB00:00:00   
(12/65): python-migrate-0.11.0-1.el7.noarch.rpm                                                                                             | 228 kB00:00:00   
(13/65): python-oslo-middleware-lang-3.38.1-2.el7.noarch.rpm                                                                              | 7.8 kB00:00:00   
(14/65): python-oslo-db-lang-5.0.2-2.el7.noarch.rpm                                                                                       | 9.0 kB00:00:00   
(15/65): python-oslo-policy-lang-2.3.4-1.el7.noarch.rpm                                                                                     | 7.9 kB00:00:00   
(16/65): python-paste-deploy-1.5.2-6.el7.noarch.rpm                                                                                       |46 kB00:00:00   
(17/65): python-pycadf-common-2.10.0-2.el7.noarch.rpm                                                                                       |10 kB00:00:00   
(18/65): python-pyngus-2.0.3-3.el7.noarch.rpm                                                                                             |41 kB00:00:00   
(19/65): python-sqlparse-0.1.18-5.el7.noarch.rpm                                                                                          |74 kB00:00:00   
(20/65): python-routes-2.4.1-1.el7.noarch.rpm                                                                                             | 191 kB00:00:00   
(21/65): python2-PyMySQL-0.9.2-2.el7.noarch.rpm                                                                                             |92 kB00:00:00   
(22/65): python2-amqp-2.4.1-1.el7.noarch.rpm                                                                                                |90 kB00:00:00   
(23/65): python2-cachetools-3.1.0-1.el7.noarch.rpm                                                                                          |28 kB00:00:00   
(24/65): python2-crypto-2.6.1-15.el7.x86_64.rpm                                                                                             | 477 kB00:00:00   
(25/65): python2-defusedxml-0.5.0-2.el7.noarch.rpm                                                                                          |45 kB00:00:00   
(26/65): python2-alembic-1.0.7-1.el7.noarch.rpm                                                                                             | 786 kB00:00:00   
(27/65): python2-fasteners-0.14.1-6.el7.noarch.rpm                                                                                          |38 kB00:00:00   
(28/65): python2-flask-1.0.2-1.el7.noarch.rpm                                                                                             | 152 kB00:00:00   
(29/65): python2-eventlet-0.25.1-1.el7.noarch.rpm                                                                                           | 322 kB00:00:00   
(30/65): python2-flask-restful-0.3.6-7.el7.noarch.rpm                                                                                       | 117 kB00:00:00   
(31/65): python2-futurist-1.9.0-2.el7.noarch.rpm                                                                                          |59 kB00:00:00   
(32/65): python2-future-0.16.0-4.el7.noarch.rpm                                                                                             | 798 kB00:00:00   
(33/65): python2-greenlet-0.4.12-1.el7.x86_64.rpm                                                                                           |25 kB00:00:00   
(34/65): python2-itsdangerous-0.24-14.el7.noarch.rpm                                                                                        |25 kB00:00:00   
(35/65): python2-jwt-1.6.1-1.el7.noarch.rpm                                                                                                 |37 kB00:00:00   
(36/65): python2-jinja2-2.10.1-1.el7.noarch.rpm                                                                                             | 251 kB00:00:00   
(37/65): python2-keystonemiddleware-7.0.1-2.el7.noarch.rpm                                                                                  |88 kB00:00:00   
(38/65): python2-keystone-16.0.2-1.el7.noarch.rpm                                                                                           | 1.1 MB00:00:00   
(39/65): python2-kombu-4.6.3-3.el7.noarch.rpm                                                                                             | 365 kB00:00:00   
(40/65): python2-ldap-3.1.0-1.el7.x86_64.rpm                                                                                                | 217 kB00:00:00   
(41/65): python2-ldappool-2.4.0-2.el7.noarch.rpm                                                                                          |25 kB00:00:00   
(42/65): python2-oauthlib-2.0.1-8.el7.noarch.rpm                                                                                          | 146 kB00:00:00   
(43/65): python2-markupsafe-1.1.0-2.el7.x86_64.rpm                                                                                          |29 kB00:00:00   
(44/65): python2-oslo-cache-1.37.1-1.el7.noarch.rpm                                                                                       |47 kB00:00:00   
(45/65): python2-oslo-concurrency-3.30.1-1.el7.noarch.rpm                                                                                 |36 kB00:00:00   
(46/65): python2-oslo-db-5.0.2-2.el7.noarch.rpm                                                                                             | 145 kB00:00:00   
(47/65): python2-oslo-messaging-10.2.4-1.el7.noarch.rpm                                                                                     | 221 kB00:00:00   
(48/65): python2-oslo-middleware-3.38.1-2.el7.noarch.rpm                                                                                    |49 kB00:00:00   
(49/65): python2-oslo-policy-2.3.4-1.el7.noarch.rpm                                                                                       |65 kB00:00:00   
(50/65): python2-oslo-service-1.40.2-2.el7.noarch.rpm                                                                                       |66 kB00:00:00   
(51/65): python2-oslo-upgradecheck-0.3.2-1.el7.noarch.rpm                                                                                 |18 kB00:00:00   
(52/65): python2-osprofiler-2.8.2-1.el7.noarch.rpm                                                                                          | 125 kB00:00:00   
(53/65): python2-passlib-1.7.0-4.el7.noarch.rpm                                                                                             | 733 kB00:00:00   
(54/65): python2-pyasn1-0.3.7-6.el7.noarch.rpm                                                                                              | 118 kB00:00:00   
(55/65): python2-pyasn1-modules-0.3.7-6.el7.noarch.rpm                                                                                    | 105 kB00:00:00   
(56/65): python2-pycadf-2.10.0-2.el7.noarch.rpm                                                                                             |46 kB00:00:00   
(57/65): python2-qpid-proton-0.26.0-2.el7.x86_64.rpm                                                                                        | 217 kB00:00:00   
(58/65): python2-pysaml2-4.6.5-1.el7.noarch.rpm                                                                                             | 542 kB00:00:00   
(59/65): python2-scrypt-0.8.0-2.el7.x86_64.rpm                                                                                              |26 kB00:00:00   
(60/65): python2-statsd-3.2.1-5.el7.noarch.rpm                                                                                              |28 kB00:00:00   
(61/65): python2-vine-1.2.0-2.el7.noarch.rpm                                                                                                |30 kB00:00:00   
(62/65): python2-sqlalchemy-1.2.17-2.el7.x86_64.rpm                                                                                       | 1.8 MB00:00:00   
(63/65): python2-webob-1.8.5-1.el7.noarch.rpm                                                                                             | 246 kB00:00:00   
(64/65): python2-yappi-1.0-1.el7.x86_64.rpm                                                                                                 |39 kB00:00:00   
(65/65): qpid-proton-c-0.26.0-2.el7.x86_64.rpm                                                                                              | 185 kB00:00:00   
-------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                              1.4 MB/s |11 MB00:00:08   
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Installing : python2-webob-1.8.5-1.el7.noarch                                                                                                               1/71
Installing : python2-sqlalchemy-1.2.17-2.el7.x86_64                                                                                                         2/71
Updating   : python-memcached-1.58-1.el7.noarch                                                                                                             3/71
Installing : python2-vine-1.2.0-2.el7.noarch                                                                                                                4/71
Installing : python2-amqp-2.4.1-1.el7.noarch                                                                                                                5/71
Installing : qpid-proton-c-0.26.0-2.el7.x86_64                                                                                                            6/71
Installing : python2-greenlet-0.4.12-1.el7.x86_64                                                                                                         7/71
Updating   : python2-pyasn1-0.3.7-6.el7.noarch                                                                                                            8/71
Installing : python2-pyasn1-modules-0.3.7-6.el7.noarch                                                                                                      9/71
Installing : python2-ldap-3.1.0-1.el7.x86_64                                                                                                               10/71
Installing : python2-ldappool-2.4.0-2.el7.noarch                                                                                                         11/71
Installing : python2-qpid-proton-0.26.0-2.el7.x86_64                                                                                                       12/71
Installing : python-pyngus-2.0.3-3.el7.noarch                                                                                                            13/71
Installing : 1:python2-kombu-4.6.3-3.el7.noarch                                                                                                            14/71
Installing : python-oslo-concurrency-lang-3.30.1-1.el7.noarch                                                                                              15/71
Installing : python-oslo-db-lang-5.0.2-2.el7.noarch                                                                                                      16/71
Installing : python2-oslo-upgradecheck-0.3.2-1.el7.noarch                                                                                                17/71
Installing : python2-defusedxml-0.5.0-2.el7.noarch                                                                                                         18/71
Installing : python2-itsdangerous-0.24-14.el7.noarch                                                                                                       19/71
Installing : python2-statsd-3.2.1-5.el7.noarch                                                                                                             20/71
Updating   : python-routes-2.4.1-1.el7.noarch                                                                                                            21/71
Installing : python2-PyMySQL-0.9.2-2.el7.noarch                                                                                                            22/71
Installing : python-oslo-policy-lang-2.3.4-1.el7.noarch                                                                                                    23/71
Installing : python2-oslo-policy-2.3.4-1.el7.noarch                                                                                                      24/71
Installing : python-aniso8601-0.82-3.el7.noarch                                                                                                            25/71
Installing : python-jwcrypto-0.4.2-1.el7.noarch                                                                                                            26/71
Installing : python2-oauthlib-2.0.1-8.el7.noarch                                                                                                         27/71
Installing : python2-scrypt-0.8.0-2.el7.x86_64                                                                                                             28/71
Installing : libtommath-0.42.0-6.el7.x86_64                                                                                                                29/71
Installing : libtomcrypt-1.17-26.el7.x86_64                                                                                                                30/71
Installing : python2-crypto-2.6.1-15.el7.x86_64                                                                                                            31/71
Installing : python-dns-1.15.0-5.el7.noarch                                                                                                                32/71
Installing : python2-eventlet-0.25.1-1.el7.noarch                                                                                                          33/71
Installing : python2-markupsafe-1.1.0-2.el7.x86_64                                                                                                         34/71
Installing : python2-jinja2-2.10.1-1.el7.noarch                                                                                                            35/71
Installing : python-oslo-cache-lang-1.37.1-1.el7.noarch                                                                                                    36/71
Installing : python2-oslo-cache-1.37.1-1.el7.noarch                                                                                                      37/71
Installing : python-editor-0.4-4.el7.noarch                                                                                                                38/71
Installing : python2-alembic-1.0.7-1.el7.noarch                                                                                                            39/71
Installing : python-paste-deploy-1.5.2-6.el7.noarch                                                                                                      40/71
Installing : python2-future-0.16.0-4.el7.noarch                                                                                                            41/71
Installing : python2-pysaml2-4.6.5-1.el7.noarch                                                                                                            42/71
Installing : python2-passlib-1.7.0-4.el7.noarch                                                                                                            43/71
Installing : python2-yappi-1.0-1.el7.x86_64                                                                                                                44/71
Installing : python-oslo-middleware-lang-3.38.1-2.el7.noarch                                                                                             45/71
Installing : python2-oslo-middleware-3.38.1-2.el7.noarch                                                                                                   46/71
Installing : python2-jwt-1.6.1-1.el7.noarch                                                                                                                47/71
Installing : python-click-6.3-1.el7.noarch                                                                                                               48/71
Installing : 1:python2-flask-1.0.2-1.el7.noarch                                                                                                            49/71
Installing : python2-flask-restful-0.3.6-7.el7.noarch                                                                                                      50/71
Installing : python-sqlparse-0.1.18-5.el7.noarch                                                                                                         51/71
Installing : python-migrate-0.11.0-1.el7.noarch                                                                                                            52/71
Installing : python2-oslo-db-5.0.2-2.el7.noarch                                                                                                            53/71
Installing : python2-cachetools-3.1.0-1.el7.noarch                                                                                                         54/71
Installing : python2-fasteners-0.14.1-6.el7.noarch                                                                                                         55/71
Installing : python2-oslo-concurrency-3.30.1-1.el7.noarch                                                                                                56/71
Installing : python2-oslo-service-1.40.2-2.el7.noarch                                                                                                      57/71
Installing : python-pycadf-common-2.10.0-2.el7.noarch                                                                                                      58/71
Installing : python2-pycadf-2.10.0-2.el7.noarch                                                                                                            59/71
Installing : python2-keystonemiddleware-7.0.1-2.el7.noarch                                                                                                 60/71
Installing : python2-futurist-1.9.0-2.el7.noarch                                                                                                         61/71
Installing : python2-oslo-messaging-10.2.4-1.el7.noarch                                                                                                    62/71
Installing : python2-osprofiler-2.8.2-1.el7.noarch                                                                                                         63/71
Installing : 1:python2-keystone-16.0.2-1.el7.noarch                                                                                                      64/71
Installing : 1:openstack-keystone-16.0.2-1.el7.noarch                                                                                                      65/71
Cleanup    : python-memcached-1.48-4.el7.noarch                                                                                                            66/71
Cleanup    : python-routes-1.13-2.el7.noarch                                                                                                               67/71
Erasing    : python-jwt-1.5.3-1.el7.noarch                                                                                                               68/71
Cleanup    : python2-pyasn1-0.1.9-7.el7.noarch                                                                                                             69/71
Erasing    : python-webob-1.2.3-7.el7.noarch                                                                                                               70/71
Erasing    : python-markupsafe-0.11-10.el7.x86_64                                                                                                          71/71
Verifying: python2-jinja2-2.10.1-1.el7.noarch                                                                                                             1/71
Verifying: python2-amqp-2.4.1-1.el7.noarch                                                                                                                2/71
Verifying: python2-pycadf-2.10.0-2.el7.noarch                                                                                                             3/71
Verifying: python2-futurist-1.9.0-2.el7.noarch                                                                                                            4/71
Verifying: python-pycadf-common-2.10.0-2.el7.noarch                                                                                                       5/71
Verifying: python2-webob-1.8.5-1.el7.noarch                                                                                                               6/71
Verifying: python2-fasteners-0.14.1-6.el7.noarch                                                                                                          7/71
Verifying: python2-pyasn1-0.3.7-6.el7.noarch                                                                                                            8/71
Verifying: python2-cachetools-3.1.0-1.el7.noarch                                                                                                          9/71
Verifying: python2-oauthlib-2.0.1-8.el7.noarch                                                                                                         10/71
Verifying: python-sqlparse-0.1.18-5.el7.noarch                                                                                                         11/71
Verifying: python-click-6.3-1.el7.noarch                                                                                                               12/71
Verifying: python2-keystonemiddleware-7.0.1-2.el7.noarch                                                                                                 13/71
Verifying: python2-oslo-middleware-3.38.1-2.el7.noarch                                                                                                   14/71
Verifying: python2-jwt-1.6.1-1.el7.noarch                                                                                                                15/71
Verifying: python2-greenlet-0.4.12-1.el7.x86_64                                                                                                          16/71
Verifying: python2-osprofiler-2.8.2-1.el7.noarch                                                                                                         17/71
Verifying: python-dns-1.15.0-5.el7.noarch                                                                                                                18/71
Verifying: python2-sqlalchemy-1.2.17-2.el7.x86_64                                                                                                      19/71
Verifying: python-oslo-middleware-lang-3.38.1-2.el7.noarch                                                                                             20/71
Verifying: python2-eventlet-0.25.1-1.el7.noarch                                                                                                          21/71
Verifying: 1:python2-keystone-16.0.2-1.el7.noarch                                                                                                      22/71
Verifying: python2-oslo-policy-2.3.4-1.el7.noarch                                                                                                      23/71
Verifying: python-pyngus-2.0.3-3.el7.noarch                                                                                                            24/71
Verifying: python2-yappi-1.0-1.el7.x86_64                                                                                                                25/71
Verifying: python2-passlib-1.7.0-4.el7.noarch                                                                                                            26/71
Verifying: python2-qpid-proton-0.26.0-2.el7.x86_64                                                                                                       27/71
Verifying: python2-future-0.16.0-4.el7.noarch                                                                                                            28/71
Verifying: python-paste-deploy-1.5.2-6.el7.noarch                                                                                                      29/71
Verifying: python2-alembic-1.0.7-1.el7.noarch                                                                                                            30/71
Verifying: python-editor-0.4-4.el7.noarch                                                                                                                31/71
Verifying: python-oslo-cache-lang-1.37.1-1.el7.noarch                                                                                                    32/71
Verifying: qpid-proton-c-0.26.0-2.el7.x86_64                                                                                                             33/71
Verifying: 1:openstack-keystone-16.0.2-1.el7.noarch                                                                                                      34/71
Verifying: python2-markupsafe-1.1.0-2.el7.x86_64                                                                                                         35/71
Verifying: python2-vine-1.2.0-2.el7.noarch                                                                                                               36/71
Verifying: libtommath-0.42.0-6.el7.x86_64                                                                                                                37/71
Verifying: python2-pysaml2-4.6.5-1.el7.noarch                                                                                                            38/71
Verifying: python2-oslo-cache-1.37.1-1.el7.noarch                                                                                                      39/71
Verifying: python2-scrypt-0.8.0-2.el7.x86_64                                                                                                             40/71
Verifying: 1:python2-flask-1.0.2-1.el7.noarch                                                                                                            41/71
Verifying: python-jwcrypto-0.4.2-1.el7.noarch                                                                                                            42/71
Verifying: python-aniso8601-0.82-3.el7.noarch                                                                                                            43/71
Verifying: python2-pyasn1-modules-0.3.7-6.el7.noarch                                                                                                   44/71
Verifying: python-migrate-0.11.0-1.el7.noarch                                                                                                            45/71
Verifying: python-oslo-policy-lang-2.3.4-1.el7.noarch                                                                                                    46/71
Verifying: 1:python2-kombu-4.6.3-3.el7.noarch                                                                                                            47/71
Verifying: python2-ldappool-2.4.0-2.el7.noarch                                                                                                         48/71
Verifying: python2-ldap-3.1.0-1.el7.x86_64                                                                                                               49/71
Verifying: python2-PyMySQL-0.9.2-2.el7.noarch                                                                                                            50/71
Verifying: python-routes-2.4.1-1.el7.noarch                                                                                                            51/71
Verifying: python2-statsd-3.2.1-5.el7.noarch                                                                                                             52/71
Verifying: python2-oslo-concurrency-3.30.1-1.el7.noarch                                                                                                53/71
Verifying: python2-itsdangerous-0.24-14.el7.noarch                                                                                                       54/71
Verifying: python2-crypto-2.6.1-15.el7.x86_64                                                                                                            55/71
Verifying: python2-flask-restful-0.3.6-7.el7.noarch                                                                                                      56/71
Verifying: python2-oslo-service-1.40.2-2.el7.noarch                                                                                                      57/71
Verifying: python2-defusedxml-0.5.0-2.el7.noarch                                                                                                         58/71
Verifying: python2-oslo-messaging-10.2.4-1.el7.noarch                                                                                                    59/71
Verifying: python2-oslo-upgradecheck-0.3.2-1.el7.noarch                                                                                                60/71
Verifying: python-memcached-1.58-1.el7.noarch                                                                                                            61/71
Verifying: python2-oslo-db-5.0.2-2.el7.noarch                                                                                                            62/71
Verifying: python-oslo-db-lang-5.0.2-2.el7.noarch                                                                                                      63/71
Verifying: libtomcrypt-1.17-26.el7.x86_64                                                                                                                64/71
Verifying: python-oslo-concurrency-lang-3.30.1-1.el7.noarch                                                                                              65/71
Verifying: python-routes-1.13-2.el7.noarch                                                                                                               66/71
Verifying: python2-pyasn1-0.1.9-7.el7.noarch                                                                                                             67/71
Verifying: python-markupsafe-0.11-10.el7.x86_64                                                                                                          68/71
Verifying: python-jwt-1.5.3-1.el7.noarch                                                                                                               69/71
Verifying: python-webob-1.2.3-7.el7.noarch                                                                                                               70/71
Verifying: python-memcached-1.48-4.el7.noarch                                                                                                            71/71


Installed:
openstack-keystone.noarch 1:16.0.2-1.el7    python2-jwt.noarch 0:1.6.1-1.el7    python2-markupsafe.x86_64 0:1.1.0-2.el7    python2-webob.noarch 0:1.8.5-1.el7   


Dependency Installed:
libtomcrypt.x86_64 0:1.17-26.el7                         libtommath.x86_64 0:0.42.0-6.el7               python-aniso8601.noarch 0:0.82-3.el7                  
python-click.noarch 0:6.3-1.el7                        python-dns.noarch 0:1.15.0-5.el7               python-editor.noarch 0:0.4-4.el7                     
python-jwcrypto.noarch 0:0.4.2-1.el7                     python-migrate.noarch 0:0.11.0-1.el7         python-oslo-cache-lang.noarch 0:1.37.1-1.el7         
python-oslo-concurrency-lang.noarch 0:3.30.1-1.el7       python-oslo-db-lang.noarch 0:5.0.2-2.el7       python-oslo-middleware-lang.noarch 0:3.38.1-2.el7      
python-oslo-policy-lang.noarch 0:2.3.4-1.el7             python-paste-deploy.noarch 0:1.5.2-6.el7       python-pycadf-common.noarch 0:2.10.0-2.el7            
python-pyngus.noarch 0:2.0.3-3.el7                     python-sqlparse.noarch 0:0.1.18-5.el7          python2-PyMySQL.noarch 0:0.9.2-2.el7                  
python2-alembic.noarch 0:1.0.7-1.el7                     python2-amqp.noarch 0:2.4.1-1.el7            python2-cachetools.noarch 0:3.1.0-1.el7               
python2-crypto.x86_64 0:2.6.1-15.el7                     python2-defusedxml.noarch 0:0.5.0-2.el7      python2-eventlet.noarch 0:0.25.1-1.el7               
python2-fasteners.noarch 0:0.14.1-6.el7                  python2-flask.noarch 1:1.0.2-1.el7             python2-flask-restful.noarch 0:0.3.6-7.el7            
python2-future.noarch 0:0.16.0-4.el7                     python2-futurist.noarch 0:1.9.0-2.el7          python2-greenlet.x86_64 0:0.4.12-1.el7               
python2-itsdangerous.noarch 0:0.24-14.el7                python2-jinja2.noarch 0:2.10.1-1.el7         python2-keystone.noarch 1:16.0.2-1.el7               
python2-keystonemiddleware.noarch 0:7.0.1-2.el7          python2-kombu.noarch 1:4.6.3-3.el7             python2-ldap.x86_64 0:3.1.0-1.el7                     
python2-ldappool.noarch 0:2.4.0-2.el7                  python2-oauthlib.noarch 0:2.0.1-8.el7          python2-oslo-cache.noarch 0:1.37.1-1.el7               
python2-oslo-concurrency.noarch 0:3.30.1-1.el7         python2-oslo-db.noarch 0:5.0.2-2.el7         python2-oslo-messaging.noarch 0:10.2.4-1.el7         
python2-oslo-middleware.noarch 0:3.38.1-2.el7            python2-oslo-policy.noarch 0:2.3.4-1.el7       python2-oslo-service.noarch 0:1.40.2-2.el7            
python2-oslo-upgradecheck.noarch 0:0.3.2-1.el7         python2-osprofiler.noarch 0:2.8.2-1.el7      python2-passlib.noarch 0:1.7.0-4.el7                  
python2-pyasn1-modules.noarch 0:0.3.7-6.el7            python2-pycadf.noarch 0:2.10.0-2.el7         python2-pysaml2.noarch 0:4.6.5-1.el7                  
python2-qpid-proton.x86_64 0:0.26.0-2.el7                python2-scrypt.x86_64 0:0.8.0-2.el7            python2-sqlalchemy.x86_64 0:1.2.17-2.el7               
python2-statsd.noarch 0:3.2.1-5.el7                      python2-vine.noarch 0:1.2.0-2.el7            python2-yappi.x86_64 0:1.0-1.el7                     
qpid-proton-c.x86_64 0:0.26.0-2.el7                     


Dependency Updated:
python-memcached.noarch 0:1.58-1.el7                   python-routes.noarch 0:2.4.1-1.el7                   python2-pyasn1.noarch 0:0.3.7-6.el7                  


Replaced:
python-jwt.noarch 0:1.5.3-1.el7                  python-markupsafe.x86_64 0:0.11-10.el7                  python-webob.noarch 0:1.2.3-7.el7                  


Complete!




安装完成问题解决了;;;;;

admin 发表于 2021-12-17 18:50:59

环境
[*]Red Hat Satellite 6.x
[*]Registered RHEL 7.x host
问题
[*]We are doing monthly patching of RHEL severs subscribed to RH Satellite server and yum update failed with an error:Raw
Error: Package: python2-qpid-proton-0.28.0-1.el7.x86_64 (@org_Custom_EPEL-7_EPEL-7)       Requires: qpid-proton-c(x86-64) = 0.28.0-1.el7       Removing: qpid-proton-c-0.28.0-1.el7.x86_64 (@org_Custom_EPEL-7_EPEL-7)         qpid-proton-c(x86-64) = 0.28.0-1.el7       Updated By: qpid-proton-c-0.28.0-2.el7.x86_64 (rhel-7-server-satellite-tools-6.5-rpms)         qpid-proton-c(x86-64) = 0.28.0-2.el7       Available: qpid-proton-c-0.26.0-3.el7.x86_64 (rhel-7-server-satellite-tools-6.5-rpms)         qpid-proton-c(x86-64) = 0.26.0-3.el7

决议In case katello agent is not needed:
[*]Remove the agent from the system:Raw
# yum remove gofer katello-agent

In case katello agent is still needed:
[*]Remove qpid-proton-c package provided by EPEL repo:Raw
# yum remove qpid-proton-c

[*]Disable the EPEL repository.
[*]Remove the EPEL repository from the Content View then publish and promote to its Lifecycle environment.
[*]On the registered Host, execute below commands:Raw
# subscription-manager refresh# yum clean all# yum repolist                              <====== make sure that the EPEL repo is disabled

[*]Reinstall katello-agentRaw
# yum install katello-agent

[*]Update the systemRaw
# yum -y update

根源
[*]Packages qpid-proton-c and python2-qpid-proton installed from EPEL repo causes dependency issue.
[*]Need to re-install the packages from satellite-tools-6.x repository, or uninstall goferd and katello-agent packages that depend on the versions of the conflicting packages shipped from satellite-tools-6.x repository.

admin 发表于 2021-12-17 18:51:16

环境
Red Hat Satellite 6.x
Registered RHEL 7.x host
问题
We are doing monthly patching of RHEL severs subscribed to RH Satellite server and yum update failed with an error:

Raw
Error: Package: python2-qpid-proton-0.28.0-1.el7.x86_64 (@org_Custom_EPEL-7_EPEL-7)
       Requires: qpid-proton-c(x86-64) = 0.28.0-1.el7
       Removing: qpid-proton-c-0.28.0-1.el7.x86_64 (@org_Custom_EPEL-7_EPEL-7)
         qpid-proton-c(x86-64) = 0.28.0-1.el7
       Updated By: qpid-proton-c-0.28.0-2.el7.x86_64 (rhel-7-server-satellite-tools-6.5-rpms)
         qpid-proton-c(x86-64) = 0.28.0-2.el7
       Available: qpid-proton-c-0.26.0-3.el7.x86_64 (rhel-7-server-satellite-tools-6.5-rpms)
         qpid-proton-c(x86-64) = 0.26.0-3.el7
决议
In case katello agent is not needed:
Remove the agent from the system:

Raw
# yum remove gofer katello-agent
In case katello agent is still needed:
Remove qpid-proton-c package provided by EPEL repo:

Raw
# yum remove qpid-proton-c
Disable the EPEL repository.

Remove the EPEL repository from the Content View then publish and promote to its Lifecycle environment.

On the registered Host, execute below commands:

Raw
# subscription-manager refresh
# yum clean all
# yum repolist                              <====== make sure that the EPEL repo is disabled
Reinstall katello-agent

Raw
# yum install katello-agent
Update the system

Raw
# yum -y update
根源
Packages qpid-proton-c and python2-qpid-proton installed from EPEL repo causes dependency issue.
Need to re-install the packages from satellite-tools-6.x repository, or uninstall goferd and katello-agent packages that depend on the versions of the conflicting packages shipped from satellite-tools-6.x repository.
页: [1]
查看完整版本: Error: Package: python2-qpid-proton-0.26.0-2.el7.x86_64 (centos-openstack-train)